--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Amount of debugging (-d) used while scanning
  name: debug
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The Nmap version number used to scan
  name: nmap_version
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Holds the command run to initiate the scan
  name: scan_args
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Total scan time in seconds (can differ from stop_time - start_time)
  name: scan_time
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Starting time
  name: start_str
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Starting time
  name: start_time
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Ending time
  name: stop_str
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Ending time
  name: stop_time
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Amount of verbosity (-v) used while scanning
  name: verbose
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: XML version of Nmap's output
  name: xml_version
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This holds session information, such as runtime, Nmap's arguments, and verbosity/debugging
constants: []

full_name: Nmap::Parser::Session
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: numservices
- !ruby/object:RI::MethodSummary 
  name: scan_type_proto
- !ruby/object:RI::MethodSummary 
  name: scan_types
- !ruby/object:RI::MethodSummary 
  name: scanflags
name: Session
superclass: Object
